DUPLOCALE(3)

NAME
duplocale - duplicate a locale

LIBRARY
libc

SYNOPSIS
#include <locale.h>
locale_t
duplocale(locale_t locale);

DESCRIPTION
Duplicates an existing locale_t returning a new locale_t that refers to the same locale values but has an independent internal state. The locale returned by this call must be freed with freelocale(3).

SEE ALSO
freelocale(3), localeconv(3), newlocale(3)

STANDARDS
This function conforms to p1003.1-2008.